import { getDishById } from '@/services/dish';
import { PageContainer } from '@ant-design/pro-components';
import { useNavigate, useSearchParams } from 'react-router-dom';
import { Alert, Card, Row, Col, message, Space, Button } from 'antd';
import { useEffect, useRef, useState, useMemo } from 'react';
import Detail from './Detail';
import Edit from './Edit';

export default (props) => {
  const [searchParams] = useSearchParams();
  const id = searchParams.get('id');
  const [dish, setDish] = useState();
  const [isPreivw, setIsPreview] = useState(!!id);
  const navigate = useNavigate();
  
  useEffect(() => {
    if (id) {
      getDishById(id).then((res) => {
        setDish(res);
      });
    }
  }, [id]);

  const onFinish = (values) => {
    setDish(values);
    // navigate(-1);
  };

  return (
    <PageContainer>
      <Card
        title={(dish || {}).name}
        extra={<Button type='link' disabled={!id} onClick={() => setIsPreview(!isPreivw)}>{ isPreivw ? '编辑' : '图文' }</Button>}>
        {
          isPreivw ? <Detail dish={dish} /> : <Edit dish={dish} onFinish={onFinish} />
        }
      </Card>
    </PageContainer>
  );
};
